<?php
require_once(getabspath("classes/cipherer.php"));



$tdataquadro_entregas = array();
$tdataquadro_entregas[".ShortName"] = "quadro_entregas";

$tdataquadro_entregas[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataquadro_entregas[".originalPagesByType"] = $tdataquadro_entregas[".pagesByType"];
$tdataquadro_entregas[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataquadro_entregas[".originalPages"] = $tdataquadro_entregas[".pages"];
$tdataquadro_entregas[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataquadro_entregas[".originalDefaultPages"] = $tdataquadro_entregas[".defaultPages"];


//	field labels
$fieldLabelsquadro_entregas = array();
$pageTitlesquadro_entregas = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsquadro_entregas["Portuguese(Standard)"] = array();
	$fieldLabelsquadro_entregas["Portuguese(Standard)"]["Entregas_CodEntrega"] = "Cod Entrega";
	$fieldLabelsquadro_entregas["Portuguese(Standard)"]["Entregas_DataEncomenda"] = "Data Encomenda";
	$fieldLabelsquadro_entregas["Portuguese(Standard)"]["Entregas_DataChegada"] = "Data Chegada";
	$fieldLabelsquadro_entregas["Portuguese(Standard)"]["Entregas_Descri__o"] = "Descrição";
}

//	search fields
$tdataquadro_entregas[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"Entregas", "field"=>"CodEntrega" );
$tdataquadro_entregas[".searchFields"]["Entregas_CodEntrega"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Entregas", "field"=>"DataEncomenda" );
$tdataquadro_entregas[".searchFields"]["Entregas_DataEncomenda"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Entregas", "field"=>"DataChegada" );
$tdataquadro_entregas[".searchFields"]["Entregas_DataChegada"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Entregas", "field"=>"Descrição" );
$tdataquadro_entregas[".searchFields"]["Entregas_Descri__o"] = $dashField;

// all search fields
$tdataquadro_entregas[".allSearchFields"] = array();
$tdataquadro_entregas[".allSearchFields"][] = "Entregas_CodEntrega";
$tdataquadro_entregas[".allSearchFields"][] = "Entregas_DataEncomenda";
$tdataquadro_entregas[".allSearchFields"][] = "Entregas_DataChegada";
$tdataquadro_entregas[".allSearchFields"][] = "Entregas_Descri__o";

// good like search fields
$tdataquadro_entregas[".googleLikeFields"] = array();
$tdataquadro_entregas[".googleLikeFields"][] = "Entregas_CodEntrega";
$tdataquadro_entregas[".googleLikeFields"][] = "Entregas_DataEncomenda";
$tdataquadro_entregas[".googleLikeFields"][] = "Entregas_DataChegada";
$tdataquadro_entregas[".googleLikeFields"][] = "Entregas_Descri__o";

$tdataquadro_entregas[".dashElements"] = array();

	$dbelement = array( "elementName" => "Entregas_list", "table" => "Entregas", 
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_0_0";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;
	
	$dbelement["updateSelected"] = 0 > 0;


	$tdataquadro_entregas[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Entrega_Vinha_Report_report", "table" => "Entrega Vinha Report", 
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_0_1";

			
$dbelement["masterTable"] = "Entregas";

	$tdataquadro_entregas[".dashElements"][] = $dbelement;

$tdataquadro_entregas[".shortTableName"] = "quadro_entregas";
$tdataquadro_entregas[".entityType"] = 4;



$tableEvents["Quadro Entregas"] = new eventsBase;
$tdataquadro_entregas[".hasEvents"] = false;


$tdataquadro_entregas[".tableType"] = "dashboard";


	
$tdataquadro_entregas[".addPageEvents"] = false;

$tdataquadro_entregas[".isUseAjaxSuggest"] = true;

$tables_data["Quadro Entregas"]=&$tdataquadro_entregas;
$field_labels["Quadro_Entregas"] = &$fieldLabelsquadro_entregas;
$page_titles["Quadro_Entregas"] = &$pageTitlesquadro_entregas;

?>